Create or update canvas
Create a new canvas, or update an existing one's name/description when an id is included in the body. Requires an agency key (ak_) and ?location_id=. Returns the saved row.
curl -X POST "https://mythic-analytics.gulp.workers.dev/builder/canvases?location_id=acme-retail" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Product Launch Funnel",
"description": "example_string"
}'
import requests
import json
url = "https://mythic-analytics.gulp.workers.dev/builder/canvases?location_id=acme-retail"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Product Launch Funnel",
"description": "example_string"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://mythic-analytics.gulp.workers.dev/builder/canvases?location_id=acme-retail", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Product Launch Funnel",
"description": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Product Launch Funnel",
"description": "example_string"
}`)
req, err := http.NewRequest("POST", "https://mythic-analytics.gulp.workers.dev/builder/canvases?location_id=acme-retail", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://mythic-analytics.gulp.workers.dev/builder/canvases?location_id=acme-retail')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Product Launch Funnel",
"description": "example_string"
}'
response = http.request(request)
puts response.body
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"tenant_key": "acme-retail",
"name": "Product Launch Funnel",
"description": "example_string",
"viewport": {
"x": 0,
"y": 0,
"zoom": 1
},
"is_active": false,
"version": 3,
"published_version": 2,
"created_at": "2024-12-25T10:00:00Z",
"updated_at": "2024-12-25T10:00:00Z"
}
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
/canvases
Target server for requests. Edit to use your own host.
Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need canvases:read or canvases:write. See Using an mcp_ key over HTTP.
Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need canvases:read or canvases:write. See Using an mcp_ key over HTTP.Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).
The media type of the request body
Include to update an existing canvas; omit to create.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need canvases:read or canvases:write. See Using an mcp_ key over HTTP.
Query Parameters
Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).
acme-retailBody
Include to update an existing canvas; omit to create.
Product Launch Funnel